SDL_GetAudioStreamQueued(3)

NAME
SDL_GetAudioStreamQueued - Get the number of bytes currently queued.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetAudioStreamQueued(SDL_AudioStream *stream);

DESCRIPTION
Note that audio streams can change their input format at any time, even if there is still data queued in a different format, so the returned byte count will not necessarily match the number of _sample frames_ available. Users of this API should be aware of format changes they make when feeding a stream and plan accordingly. Queued data is not converted until it is consumed by SDL_GetAudioStreamData , so this value should be representative of the exact data that was put into the stream. If the stream has so much data that it would overflow an int, the return value is clamped to a maximum value, but no queued data is lost; if there are gigabytes of data queued, the app might need to read some of it with SDL_GetAudioStreamData
 before this function's return value is no longer clamped.

FUNCTION PARAMETERS

stream
    The audio stream to query

RETURN VALUE
Returns the number of bytes queued.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PutAudioStreamData(3), SDL_ClearAudioStream(3)